<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:32 UTC 2019 -->
<title>GeoPolyline (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GeoPolyline (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoPolyline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/GeoPolygon.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/GeoPolyline.html" target="_top">Frames</a></li>
<li><a href="GeoPolyline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.common</div>
<h2 title="Class GeoPolyline" class="title">Class GeoPolyline</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.common.GeoPolyline</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoPolygon.html" title="class in com.here.android.mpa.common">GeoPolygon</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GeoPolyline</span>
extends java.lang.Object</pre>
<div class="block">Interface representing a <code>GeoPolyline</code>. A <code>GeoPolyline</code> consists of 2 or more points.

 This class can be used with <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a> to
 render a polyline.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#GeoPolyline--">GeoPolyline</a></span>()</code>
<div class="block">Public Constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#GeoPolyline-java.util.List-">GeoPolyline</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; points)</code>
<div class="block">Creates a <code>GeoPolyline</code> from a list of points.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#add-com.here.android.mpa.common.GeoCoordinate-">add</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</code>
<div class="block">Adds a new point into the <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#add-java.util.List-">add</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; points)</code>
<div class="block">Adds a list of new points into the <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#clear--">clear</a></span>()</code>
<div class="block">Removes all points from the <code>GeoPolyline</code></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#contains-com.here.android.mpa.common.GeoCoordinate-">contains</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</code>
<div class="block">Checks to see if a <code>GeoCoordinate</code> resides within this <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object other)</code> </td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getAllPoints--">getAllPoints</a></span>()</code>
<div class="block">Gets all points in the <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getBoundingBox--">getBoundingBox</a></span>()</code>
<div class="block">Gets the geographic bounding box that contains this <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getNearest-com.here.android.mpa.common.GeoCoordinate-">getNearest</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</code>
<div class="block">Gets the <code>GeoCoordinate</code> along the path of the <code>MapPolyline</code> that is closest to
 the specified <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getNearestIndex-com.here.android.mpa.common.GeoCoordinate-">getNearestIndex</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</code>
<div class="block">Gets the index of the point that is closest to the specified <code>GeoCoordinate</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getNumberOfPoints--">getNumberOfPoints</a></span>()</code>
<div class="block">Gets the total number of points currently in the <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getPoint-int-">getPoint</a></span>(int index)</code>
<div class="block">Gets a point in the <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#insert-com.here.android.mpa.common.GeoCoordinate-int-">insert</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point,
      int index)</code>
<div class="block">Inserts a point into the <code>GeoPolyline</code> at <code>index</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#length--">length</a></span>()</code>
<div class="block">The geographical length of this <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#remove-int-">remove</a></span>(int index)</code>
<div class="block">Removes a specific point from the <code>GeoPolyline</code> at the given <code>index</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GeoPolyline--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GeoPolyline</h4>
<pre>public GeoPolyline()</pre>
<div class="block">Public Constructor</div>
</li>
</ul>
<a name="GeoPolyline-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GeoPolyline</h4>
<pre>public GeoPolyline(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; points)</pre>
<div class="block">Creates a <code>GeoPolyline</code> from a list of points.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>points</code> - A list of points to form the <code>GeoPolyline</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNumberOfPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberOfPoints</h4>
<pre>public final int getNumberOfPoints()</pre>
<div class="block">Gets the total number of points currently in the <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int total number of points</dd>
</dl>
</li>
</ul>
<a name="getPoint-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPoint</h4>
<pre>public final <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getPoint(int index)</pre>
<div class="block">Gets a point in the <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index of the point to get.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>GeoCoordinate</code>. Returns <code>null</code> if the index is out of bound.</dd>
</dl>
</li>
</ul>
<a name="getAllPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllPoints</h4>
<pre>public final java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; getAllPoints()</pre>
<div class="block">Gets all points in the <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list of <code>GeoCoordinate</code>.</dd>
</dl>
</li>
</ul>
<a name="add-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public void add(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; points)</pre>
<div class="block">Adds a list of new points into the <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>points</code> - A list of {code GeoCoordinate}s to be added</dd>
</dl>
</li>
</ul>
<a name="add-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public void add(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</pre>
<div class="block">Adds a new point into the <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - Point to be added</dd>
</dl>
</li>
</ul>
<a name="insert-com.here.android.mpa.common.GeoCoordinate-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>public void insert(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point,
                   int index)</pre>
<div class="block">Inserts a point into the <code>GeoPolyline</code> at <code>index</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - Point to be added</dd>
<dd><code>index</code> - Index to add the point into the list. <code>index</code> must be within the bounds of 0
            and current count of points.</dd>
</dl>
</li>
</ul>
<a name="remove-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public void remove(int index)</pre>
<div class="block">Removes a specific point from the <code>GeoPolyline</code> at the given <code>index</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index of the point to be removed.</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public void clear()</pre>
<div class="block">Removes all points from the <code>GeoPolyline</code></div>
</li>
</ul>
<a name="length--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>public double length()</pre>
<div class="block">The geographical length of this <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Length in meters.</dd>
</dl>
</li>
</ul>
<a name="getNearestIndex-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNearestIndex</h4>
<pre>public int getNearestIndex(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</pre>
<div class="block">Gets the index of the point that is closest to the specified <code>GeoCoordinate</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - A <code>GeoCoordinate</code> reference point for finding the nearest point's list index</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The list index of the point that is closest to the specified <code>GeoCoordinate</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getNearest-com.here.android.mpa.common.GeoCoordinate-"><code>GeoPolyline.getNearest(GeoCoordinate)</code></a></dd>
</dl>
</li>
</ul>
<a name="getNearest-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNearest</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getNearest(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</pre>
<div class="block">Gets the <code>GeoCoordinate</code> along the path of the <code>MapPolyline</code> that is closest to
 the specified <code>GeoCoordinate</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - A <code>GeoCoordinate</code> reference point for finding the nearest
            <code>GeoCoordinate</code> along the <code>MapPolyline</code> path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>GeoCoordinate</code> along the <code>MapPolyline</code> path that is closest to the
         specified <code>GeoCoordinate</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html#getNearestIndex-com.here.android.mpa.common.GeoCoordinate-"><code>GeoPolyline.getNearestIndex(GeoCoordinate)</code></a></dd>
</dl>
</li>
</ul>
<a name="contains-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public boolean contains(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> point)</pre>
<div class="block">Checks to see if a <code>GeoCoordinate</code> resides within this <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - The coordinate that will be used to match against the points in this
            <code>GeoPolyline</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean true if the point is in this <code>GeoPolyline</code></dd>
</dl>
</li>
</ul>
<a name="getBoundingBox--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> getBoundingBox()</pre>
<div class="block">Gets the geographic bounding box that contains this <code>GeoPolyline</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> that contains this <code>GeoPolyline</code>. Can be <code>null</code> if
         the line has fewer than 2 points.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object other)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoPolyline.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/GeoPolygon.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/GeoPolyline.html" target="_top">Frames</a></li>
<li><a href="GeoPolyline.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
